﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Credential;

    <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
            <td>
                @Html.DevExpress().Button(
                    settings => {
                        settings.Name = "_add_btToggleExpand";
                        settings.Text = "View Detail Status";
                        settings.ControlStyle.CssClass = "dxDisplayInline";
                        settings.Width = Unit.Pixel(160);
                        settings.ClientSideEvents.Click = "function(s,e) { grdDataAdditional.PerformCallback('ToggleColumns=Requester;Approval;Revise;Download'); }";
                    }
                ).GetHtml()
            </td>

            <td align="right">
                <table>
                    <tr>
                        <td>
@*                            @Html.DevExpress().Button(
                                settings => {
                                    settings.Name = "_add_btApprove";
                                    settings.Text = "Approve";
                                    settings.ControlStyle.CssClass = "dxDisplayInline";
                                    settings.Width = Unit.Pixel(80);
                                    settings.ClientSideEvents.Click = "ApproveAdditional";
                                    //settings.ClientVisible = Model.GetModel<User>().IsAuthorized("DCLInquiry", "_add_btApprove");
                                }
                            ).GetHtml()*@
                        </td>

                        <td>
@*                            @Html.DevExpress().Button(
                                settings => {
                                    settings.Name = "_add_btUnapprove";
                                    settings.Text = "Unapprove";
                                    settings.ControlStyle.CssClass = "dxDisplayInline";
                                    settings.Width = Unit.Pixel(80);
                                    settings.ClientSideEvents.Click = "UnApproveAdditional";
                                }
                            ).GetHtml()*@
                        </td>
    
                        <td>
@*                            @Html.DevExpress().Button(
                                settings => {
                                    settings.Name = "_add_btReject";
                                    settings.Text = "Reject";
                                    settings.ControlStyle.CssClass = "dxDisplayInline";
                                    settings.Width = Unit.Pixel(80);
                                    settings.ClientSideEvents.Click = "RejectAdditional";
                                }
                            ).GetHtml()*@
                        </td>
                        
                        @*<td>
                            @Html.DevExpress().Button(
                                settings => {
                                    settings.Name = "_add_btUnReject";
                                    settings.Text = "Unreject";
                                    settings.ControlStyle.CssClass = "dxDisplayInline";
                                    settings.Width = Unit.Pixel(80);
                                }
                            ).GetHtml()
                        </td>*@

                        <td>
@*                            @Html.DevExpress().Button(
                            edtSettings =>
                            {
                                edtSettings.Text = "Cancel";
                                edtSettings.Name = "cmdCancel";
                                edtSettings.ControlStyle.CssClass = "dxDisplayInline";
                                edtSettings.Width = Unit.Pixel(80);
                                edtSettings.ClientSideEvents.Click = "CancelAdditional";
                            }).GetHtml()*@
                        </td>
                    </tr>
                </table>

            </td>
        </tr>
    </table>
